# Making symlinks from date directories to latitude directories
#  and assembling all directional maps to a single pdf for the latitude

# MonDa.txt file is to replace the old set of *.pdf from a previous year, 
# for pdftk below

mkdir latitudes

LC_ALL="C"

Ye=2024

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 
  
#   for D in \
#Jan15 Feb13 Mar15 Apr13 May13 Jun12 Jul11 Aug09 Sep07 Oct07 Nov06 Dec06


for MoDa in \
01-06 \
02-04 \
03-05 \
04-04 \
05-02 \
06-01 \
06-30 \
07-30 \
08-30 \
09-28 \
10-28 \
11-26 \
12-26


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

 
#   for C in Ori Leo Cet Crux Cyg Her Per Sco Sgr Peg Boo Gru
#   for C in Ori Tau CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg
    for C in Ori CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg Per Gem

    do
     if [ -f ../../$MoNDa/$C/$LA.pdf ] 
     then
     ln -sf ../../$MoNDa/$C/$LA.pdf  ${MoNDa}$C.pdf 
     fi
    done 
   done

   pdftk \
Jan06*.pdf \
Feb04*.pdf \
Mar05*.pdf \
Apr04*.pdf \
May02*.pdf \
Jun01*.pdf \
Jun30*.pdf \
Jul30*.pdf \
Aug30*.pdf \
Sep28*.pdf \
Oct28*.pdf \
Nov26*.pdf \
Dec26*.pdf \
         cat output ${LA}.pdf
# the above list is an output of MonDa.sh 
   
  cd ..

 done

cd ..
